> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imprint.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for customers



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/customers
openapi: 3.1.0
info:
  title: Public Imprint API
  version: '2.0'
servers:
  - url: https://dev.sbx.imprint.co
    description: Imprint public api sandbox
security:
  - basicAuth: []
  - bearerAuth: []
paths:
  /v2/customers:
    get:
      tags:
        - Customers
      summary: Search for customers
      operationId: searchCustomers
      parameters:
        - name: partner_customer_id
          in: query
          description: The unique identifier for the customer in the partner's system
          schema:
            type: string
        - $ref: '#/components/parameters/limitParam'
          name: limit
        - $ref: '#/components/parameters/startingAfterParam'
          name: starting_after
      responses:
        '200':
          description: List of customers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerListResponse'
components:
  parameters:
    limitParam:
      name: limit
      in: query
      description: Limits the number of returned results
      schema:
        type: integer
        minimum: 1
        default: 10
        format: int32
    startingAfterParam:
      name: starting_after
      in: query
      description: >-
        A cursor for use in pagination. An id that defines your place in the
        list.
      schema:
        type: string
  schemas:
    CustomerListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Customer'
        has_more:
          type: boolean
        total:
          type: integer
    Customer:
      type: object
      description: Represents a customer in the Imprint system
      required:
        - id
      properties:
        id:
          type: string
          description: Unique identifier for the customer
          example: 9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4
        email:
          type: string
          format: email
          description: Customer's email address
          example: customer@example.com
        phone:
          type: string
          description: Customer's phone number in E.164 format
          example: '+14155552671'
        statuses:
          type: object
          description: >-
            Map of the customer's enrolled card program name to the customer's
            status.
          additionalProperties:
            $ref: '#/components/schemas/CustomerProgramStatus'
          example:
            Card Program Name: OPEN
        first_name:
          type: string
          description: The customer's first name.
          example: John
        last_name:
          type: string
          description: The customer's last name.
          example: Doe
        preferred_language:
          type: string
          description: Customer's preferred language code as defined by ISO 639-1
          example: en
        ssn4:
          type: string
          description: Customer's Social Security Number in 4 digits
          example: '1234'
        date_of_birth:
          $ref: '#/components/schemas/DateOfBirth'
        address:
          $ref: '#/components/schemas/Address'
        partner_customer_id:
          $ref: '#/components/schemas/PartnerCustomerId'
        metadata:
          type: object
          description: >-
            Set of key-value pairs for storing additional information about the
            customer.
          additionalProperties: true
          example:
            preferred_language: en
        created_at:
          type: string
          description: the RFC-3339 date when the customer was created
          example: '2025-02-13T19:08:07.000Z'
        updated_at:
          type: string
          description: the RFC-3339 date when the customer was created
          example: '2025-02-13T19:08:07.000Z'
    CustomerProgramStatus:
      type: string
      description: Status of a customer within a card program.
      enum:
        - OPEN
        - CLOSED
    DateOfBirth:
      type: object
      description: Customer's date of birth
      properties:
        year:
          type: integer
          description: Year of birth
          minimum: 1900
          example: 1990
        month:
          type: integer
          description: Month of birth
          minimum: 1
          maximum: 12
          example: 1
        day:
          type: integer
          description: Day of birth
          minimum: 1
          maximum: 31
          example: 1
    Address:
      type: object
      description: Mailing address information
      properties:
        street_line1:
          type: string
          description: Primary street address
          example: 123 Main St
        street_line2:
          type: string
          description: Secondary street address (apartment, suite, etc.)
          example: Apt 4B
        city:
          type: string
          description: City name
          example: San Francisco
        state:
          type: string
          description: State or province
          example: CA
        postal_code:
          type: string
          description: ZIP or postal code
          example: '94105'
        country:
          type: string
          description: ISO-3166-1 alpha-3 Country Code
          example: USA
    PartnerCustomerId:
      type: string
      description: The unique identifier for the customer in the partner's system
      example: PARTNER_USER_456
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication. Allowed headers-- Authorization: Bearer
        <api_key>
      scheme: bearer
      type: http

````